Bug 1552130 - Intermittent boot issues on the rpi3 with uboot-tools-2018.03-0.8.rc3
Summary: Intermittent boot issues on the rpi3 with uboot-tools-2018.03-0.8.rc3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uboot-tools
Version: 28
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F28BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2018-03-06 14:48 UTC by Paul Whalen
Modified: 2018-03-14 01:50 UTC (History)
7 users (show)

Fixed In Version: uboot-tools-2018.03-0.10.rc4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-14 01:50:43 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Paul Whalen 2018-03-06 14:48:37 UTC
Description of problem:
Using uboot-tools-2018.03-0.8.rc3 the Raspberry Pi 3 intermittently fails to boot automatically, requiring user input (sometimes twice) to successfully boot.

Version-Release number of selected component (if applicable):
uboot-tools-2018.03-0.8.rc3 

How reproducible:
Intermittent

Steps to Reproduce:
1. Boot a disk image on the Raspberry Pi 3
2. Fails to boot automatically

Comment 1 Paul Whalen 2018-03-06 15:45:33 UTC
Output from the AArch64 Minimal boot on Rpi3:

Loading Environment from FAT... *** Warning - bad CRC, using default environment

Failed (-5)
In:    serial
Out:   vidconsole
Err:   vidconsole
Net:   No ethernet found.
starting USB...
USB0:   Core Release: 2.80a
scanning bus 0 for devices... 3 USB Device(s) found
       scanning usb for storage devices... 0 Storage Device(s) found
Hit any key to stop autoboot:  0 
U-Boot> boot
U-Boot> boot
switch to partitions #0, OK
mmc0 is current device
Scanning mmc 0:1...
Found EFI removable media binary efi/fedora/grubaa64.efi

Comment 2 Fedora Update System 2018-03-07 23:46:59 UTC
uboot-tools-2018.03-0.9.rc4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2b6c1571ac

Comment 3 Paul Whalen 2018-03-08 14:00:03 UTC
Proposing as a blocker for Beta, this affects the Rpi3 on both armhfp and aarch64, criteria "All release-blocking images must boot in their supported configurations."

Comment 4 Fedora Update System 2018-03-08 15:29:11 UTC
uboot-tools-2018.03-0.9.rc4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2b6c1571ac

Comment 5 Fedora Update System 2018-03-08 21:21:45 UTC
bcm283x-firmware-20180307-1.7fdcd00.fc28 uboot-tools-2018.03-0.10.rc4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2b6c1571ac

Comment 6 Fedora Update System 2018-03-09 23:25:07 UTC
bcm283x-firmware-20180307-1.7fdcd00.fc28, uboot-tools-2018.03-0.10.rc4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2b6c1571ac

Comment 7 Geoffrey Marr 2018-03-12 20:43:51 UTC
Discussed during the 2018-03-12 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made as it violates the following blocker criteria:

"All release-blocking images must boot in their supported configurations" for the release-blocking ARM minimal and Xfce disk images on Raspberry Pi 3, which is a supported ARM platform per https://fedoraproject.org/wiki/Architectures/ARM/Supported_Platforms

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-03-12/f28-blocker-review.2018-03-12-16.01.txt

Comment 8 Fedora Update System 2018-03-14 01:50:43 UTC
bcm283x-firmware-20180307-1.7fdcd00.fc28, uboot-tools-2018.03-0.10.rc4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.